apr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From br...@apache.org
Subject svn commit: r1791006 - /apr/tools/buildbot/macosx/aprutilbuild.sh
Date Tue, 11 Apr 2017 17:57:47 GMT
Author: brane
Date: Tue Apr 11 17:57:47 2017
New Revision: 1791006

URL: http://svn.apache.org/viewvc?rev=1791006&view=rev
Log:
Added APR-Util buildslave script for OSX.

Added:
    apr/tools/buildbot/macosx/aprutilbuild.sh   (with props)

Added: apr/tools/buildbot/macosx/aprutilbuild.sh
URL: http://svn.apache.org/viewvc/apr/tools/buildbot/macosx/aprutilbuild.sh?rev=1791006&view=auto
==============================================================================
--- apr/tools/buildbot/macosx/aprutilbuild.sh (added)
+++ apr/tools/buildbot/macosx/aprutilbuild.sh Tue Apr 11 17:57:47 2017
@@ -0,0 +1,84 @@
+#!/bin/bash
+
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+set -e
+set -x
+
+scripts=$(cd $(dirname "$0") && pwd)
+
+. ${scripts}/setenv.sh
+
+${scripts}/mkramdisk.sh ${volume_name} ${ramconf}
+
+#
+# Step 0: Create a directory for the test log files
+#
+if [ -d "${abssrc}/.test-logs" ]; then
+    rm -fr "${abssrc}/.test-logs"
+fi
+mkdir "${abssrc}/.test-logs" || exit 1
+
+#
+# Step 1: Configure and build APR
+#
+echo "============ buildconf (APR)"
+cd ${abssrc}/../apr
+./buildconf
+
+mkdir ${absbld}/.apr
+cd ${absbld}/.apr
+env CC=clang CXX=clang++ \
+${abssrc}/../apr/configure \
+    --prefix="${absbld}/.apr-prefix" \
+    --enable-threads \
+    --with-devrandom=/dev/urandom
+
+test -f config.log && mv config.log "${abssrc}/.test-logs/apr-config.log"
+
+make -j${APRBB_PARALLEL}
+make install
+
+#
+# Step 2: Regenerate build scripts
+#
+
+echo "============ buildconf"
+cd ${abssrc}
+./buildconf --with-apr=${abssrc}/../apr
+
+#
+# Step 3: Configure
+#
+
+echo "============ configure"
+cd ${absbld}
+env CC=clang CXX=clang++ \
+${abssrc}/configure \
+    --prefix="${absbld}/.install-prefix" \
+    --with-apr="${absbld}/.apr-prefix/bin/apr-1-config" \
+
+test -f config.log && mv config.log "${abssrc}/.test-logs/apr-util-config.log"
+
+#
+# Step 4: build
+#
+
+echo "============ make"
+cd ${absbld}
+make -j${APRBB_PARALLEL}

Propchange: apr/tools/buildbot/macosx/aprutilbuild.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message